#include "CGIFParser.h"
#include "CGEngine/CCGFactory.h"
#include "CLIPSInterface/Control.h"

//main program
void main(void)
{
   char sourceFile[NAMESIZE];

   printf("Enter the CGIF file name:\n");
   fgets(sourceFile, NAMESIZE,stdin);
   int len = strlen(sourceFile);
   sourceFile[len-1]= '\0';

   CKnowledgeBase** KBPP = new CKnowledgeBase* ;
   ACCGFactory *pFactory = new CCGFactory;

   CCGIFParser parser;
   parser.Parse(sourceFile, pFactory, KBPP);

   CCLPControl clipsController;
   clipsController.shell();
}
